# $Revision: 1.12 $, $Date: 2012/04/14 11:34:06 $
# TODO
# - how to (where to?) package web and xml and index.html
%include	/usr/lib/rpm/macros.java
Summary:	ADT Plugin for Eclipse
Name:		eclipse-adt
Version:	17.0.0
Release:	1
License:	EPL v1.0
Group:		Libraries/Java
Obsoletes:	eclipse-plugin-adt
Source0:	http://dl.google.com/android/ADT-%{version}.zip
# Source0-md5:	ecb12c07e534997cd32c66d57f21b770
URL:		http://developer.android.com/sdk/eclipse-adt.html
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Requires:	eclipse >= 3.6
Requires:	eclipse-gef
Requires:	eclipse-jdt
Requires:	eclipse-plugin-webtools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		eclipsedir	%{_libdir}/eclipse/dropins/adt

%description
Android Development Tools (ADT) is a plugin for the Eclipse IDE that
is designed to give you a powerful, integrated environment in which to
build Android applications.

%prep
%setup -qc
find -name '*.jar' | while read jar; do
	dir=${jar%.jar}
	install -d $dir
	%{__unzip} -qq $jar -d $dir
	rm $jar
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{eclipsedir}/{features,plugins}

cp -a features/* $RPM_BUILD_ROOT%{eclipsedir}/features
cp -a plugins/* $RPM_BUILD_ROOT%{eclipsedir}/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{eclipsedir}
%dir %{eclipsedir}/features
%dir %{eclipsedir}/plugins
%{eclipsedir}/features/com.android.ide.eclipse.*
%{eclipsedir}/plugins/com.android.ide.eclipse.*
%{eclipsedir}/plugins/overlay.com.android.ide.eclipse.adt.*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eclipse-adt.spec,v $
Revision 1.12  2012/04/14 11:34:06  baggins
- up to 17.0.0

Revision 1.11  2012/01/16 15:53:27  caleb
- Up to 16.0.1

Revision 1.10  2011/11/24 22:33:28  baggins
- 15.0.1 for SDK Tools r15

Revision 1.9  2011/08/09 09:38:11  baggins
- 12.0.0 for SDK Tools r12

Revision 1.8  2011/04/11 10:13:35  baggins
- rel 4
- libdir != noarch

Revision 1.7  2011/04/11 09:55:21  baggins
- rel 3
- missing dirs

Revision 1.6  2011/04/11 09:50:19  baggins
- rel 2
- recent eclipse wants plugins in libdir/eclipse/dropins

Revision 1.5  2011/02/23 11:03:00  baggins
- 10.0.0

Revision 1.4  2010/11/25 17:23:58  glen
- rename to eclipse-adt (pretty much everything is plugin in eclipse)

Revision 1.3  2010/11/14 20:12:36  glen
- unpack jars, java deps, update todo

Revision 1.2  2010/11/14 20:07:26  glen
- some deps

Revision 1.1  2010/11/10 22:33:23  glen
- initial, maybe needs eclipse 3.5 to work
